Bug 988458 - "Smartmatch is experimental" warnings
"Smartmatch is experimental" warnings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Perl6-Junction (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 11:59 EDT by Paul Howarth
Modified: 2013-08-04 09:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 09:52:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to silence warnings (1.03 KB, application/x-download)
2013-07-25 11:59 EDT, Paul Howarth
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 85699 None None None Never

  None (edit)
Description Paul Howarth 2013-07-25 11:59:40 EDT
Created attachment 778339 [details]
Patch to silence warnings

Use of Perl6::Junction generates lots of warnings, as can be seen in the build log (http://kojipkgs.fedoraproject.org//packages/perl-Perl6-Junction/1.50000/3.fc20/data/logs/noarch/build.log):

$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
Smartmatch is experimental at (eval 7) line 7.
Smartmatch is experimental at (eval 7) line 14.
Smartmatch is experimental at (eval 9) line 7.
Smartmatch is experimental at (eval 9) line 14.
Smartmatch is experimental at (eval 11) line 7.
Smartmatch is experimental at (eval 11) line 14.
Smartmatch is experimental at (eval 13) line 10.
Smartmatch is experimental at (eval 13) line 20.
t/01_use.t ....... ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/all.t .......... ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/any.t .......... ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/import_tags.t .. ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/join.t ......... ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/no_import.t .... ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/none.t ......... ok
Smartmatch is experimental at (eval 6) line 7.
Smartmatch is experimental at (eval 6) line 14.
Smartmatch is experimental at (eval 8) line 7.
Smartmatch is experimental at (eval 8) line 14.
Smartmatch is experimental at (eval 10) line 7.
Smartmatch is experimental at (eval 10) line 14.
Smartmatch is experimental at (eval 12) line 10.
Smartmatch is experimental at (eval 12) line 20.
t/one.t .......... ok
All tests successful.
Files=8, Tests=374,  0 wallclock secs ( 0.08 usr  0.01 sys +  0.29 cusr  0.04 csys =  0.42 CPU)
Result: PASS

This is raised upstream at: https://rt.cpan.org/Public/Bug/Display.html?id=85699

I've attached a patch that fixes this for me.
Comment 1 Emmanuel Seyman 2013-07-26 04:52:38 EDT
The patch looks fine. Let's give upstream a few days to react and I'll add the patch.
Comment 2 Emmanuel Seyman 2013-08-04 09:52:53 EDT
Fixed in perl-Perl6-Junction-1.50000-5.fc20

Note You need to log in before you can comment on or make changes to this bug.